internal::matching_forwarding_base< KeyType > Struct Template Referenceabstract

`#include <_flow_graph_join_impl.h>`

Inheritance diagram for internal::matching_forwarding_base< KeyType >:
Collaboration diagram for internal::matching_forwarding_base< KeyType >:

## Public Types

typedef tbb::internal::strip< KeyType >::type | current_key_type

## Public Member Functions

| matching_forwarding_base (graph &g)
virtual task * | increment_key_count (current_key_type const &, bool)=0
Public Member Functions inherited from internal::forwarding_base
| forwarding_base (graph &g)
virtual | ~forwarding_base ()
virtual task * | decrement_port_count (bool handle_task)=0
virtual void | increment_port_count ()=0
Public Member Functions inherited from tbb::internal::no_assign
void | operator= (const no_assign &)=delete
| no_assign (const no_assign &)=default
| no_assign ()=default

## Public Attributes

current_key_type | current_key
Public Attributes inherited from internal::forwarding_base
graph & | graph_ref

## Detailed Description

### template<typename KeyType>
struct internal::matching_forwarding_base< KeyType >

Definition at line 40 of file _flow_graph_join_impl.h.

## Member Typedef Documentation

## current_key_type

template<typename KeyType >

typedef tbb::internal::strip<KeyType>::type internal::matching_forwarding_base< KeyType >::current_key_type

Definition at line 41 of file _flow_graph_join_impl.h.

## Constructor & Destructor Documentation

## matching_forwarding_base()

template<typename KeyType >

internal::matching_forwarding_base< KeyType >::matching_forwarding_base | ( | graph & | g | ) |

inline

Definition at line 42 of file _flow_graph_join_impl.h.

: forwarding_base(g) { }
internal::forwarding_base::forwarding_base
forwarding_base(graph &g)
Definition: _flow_graph_join_impl.h:27

## Member Function Documentation

## increment_key_count()

template<typename KeyType >

virtual task* internal::matching_forwarding_base< KeyType >::increment_key_count | ( | current_key_type const & | ,
|  | bool |
| ) |  |

pure virtual

Implemented in internal::join_node_FE< key_matching< K, KHash >, InputTuple, OutputTuple >.

Referenced by internal::key_matching_port< TraitsType >::try_put_task().

Here is the caller graph for this function:

## Member Data Documentation

## current_key

template<typename KeyType >

current_key_type internal::matching_forwarding_base< KeyType >::current_key

Definition at line 44 of file _flow_graph_join_impl.h.

Referenced by internal::key_matching_port< TraitsType >::handle_operations().

The documentation for this struct was generated from the following file:

- _flow_graph_join_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.